Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.trend
Class InitializingScoreTrend

    java.lang.Object
      org.optaplanner.core.impl.score.trend.InitializingScoreTrend

All Implemented Interfaces:
  Serializable

    public class InitializingScoreTrend

extends Object
implements Serializable

Bounds the possible `Score`s for a `Solution` as more and more variables are initialized (while the already initialized variables don't change).

See Also:
  `InitializingScoreTrendLevel`, Serialized Form

Constructor Summary
`InitializingScoreTrend(InitializingScoreTrendLevel[] trendLevels)`

Method Summary
`protected static String` | `buildTrendPattern(int levelsSize)`
`static InitializingScoreTrend` | `buildUniformTrend(InitializingScoreTrendLevel trendLevel, int levelsSize)`
`int` | `getLevelsSize()`
`InitializingScoreTrendLevel[]` | `getTrendLevels()`
`boolean` | `isOnlyDown()`
`boolean` | `isOnlyUp()`
`static InitializingScoreTrend` | `parseTrend(String initializingScoreTrendString, int levelsSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializingScoreTrend

    public InitializingScoreTrend(InitializingScoreTrendLevel[] trendLevels)

Method Detail

### parseTrend

    public static InitializingScoreTrend parseTrend(String initializingScoreTrendString,
                                                    int levelsSize)

### buildUniformTrend

    public static InitializingScoreTrend buildUniformTrend(InitializingScoreTrendLevel trendLevel,
                                                           int levelsSize)

### buildTrendPattern

    protected static String buildTrendPattern(int levelsSize)

### getTrendLevels

    public InitializingScoreTrendLevel[] getTrendLevels()

### getLevelsSize

    public int getLevelsSize()

### isOnlyUp

    public boolean isOnlyUp()

### isOnlyDown

    public boolean isOnlyDown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.